# getValue abstract method

dynamic getValue([

1. Object? instance

])

Gets the field's value from an instance.

Parameters:

- `instance`: The object instance (null for static fields)

Returns:

- The current field value

Throws:

- `AccessError` if field is not readable
- `NullReferenceError` for null instance on instance fields

Example:

    final value = field.getValue(instance);

## Implementation

    dynamic getValue([Object? instance]);